#cs

IssueCapturer allows the user to make a screenshot of an issue and type a little description of it as well.  The description is saved to a file (with a name and number) and the screenshot is saved to a folder (with the same name and number).  The user can also specify a new name at any time (e.g. to help sort the images by section).

The imput box is not multilined.  Writing a multiline input box is 100 times more work, and frankly I've never been able to get it right.

There is no way to ensure that the screenshots will be in the same directory as the issue file.  Put the issue file in the script directory, and that should do it.

#ce

#include <ScreenCapture.au3>

Global $num
Global $name
Global $filename
Global $quality
Global $description
Global $name2
Global $fileopen

$num = 0
$name = "issue"

MsgBox (0, "IssueCapturer 1.0 -- instructions", "IssueCapturer takes screenshots in BMP format and writes comments to an accompanying text file." & @CRLF & @CRLF & "F1 = capture issue" & @CRLF & "F2 = change label", 0)


$filename = FileSaveDialog ("What is the name of the issue file?", @ScriptDir, "All (*.*)|Text files (*.txt)", 18, "issue.txt")

$quality = InputBox ("What BMP quality do you want?", "Type a number for BMP quality, from 0 to 4 (poor to good) (aka small size to big size)", "2")

$num = InputBox ("What is the starting number?", "Type the number at which BMP counts should begin (in case you interrupted a previous session)", "0")

HotKeySet("{F1}", "Capture")
HotKeySet("{F2}", "NewName")

While 1
    Sleep(100)
WEnd

Func Capture()

$num = $num + 1

If $num < 10 Then
$num = "0" & $num
EndIf
If $num < 100 Then
$num = "0" & $num
EndIf
If $num < 1000 Then
$num = "0" & $num
EndIf

_ScreenCapture_SetBMPFormat($quality)
_ScreenCapture_Capture(@ScriptDir & "\" & $num & "_" & $name & ".bmp")

$description = InputBox ("Type description of issue", "Type a brief description for the issue that will accompany the screenshot", " ")

$fileopen = FileOpen ($filename, 129)
FileWrite ($filename, @CRLF & @CRLF & "[" & $num & "_" & $name & ".bmp]" & @CRLF & $description & @CRLF & @CRLF)
FileClose ($fileopen)

EndFunc

Func NewName()

$name2 = InputBox ("New section name", "Type a new name for the image description", $name)
$name = $name2

EndFunc



